%define	pkgname	CUFlow

Name:		flowscan-cuflow
Version:	1.7
Release:	1.4
Summary:	CUFlow for flowscan
Group:		Productivity/Networking
License:	GPL
Url:		http://www.columbia.edu/acis/networks/advanced/CUFlow/
Source0:	%{pkgname}-%{version}.tgz
Patch0:		%{pkgname}-conf.patch
Patch1:		%{pkgname}.patch
Patch2:		CUGrapher.patch
Provides:	CUFlow >= %{version}
Provides:	flowscan-CUFlow >= %{version}
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}

BuildRequires:	flowscan

%description
CUFlow.pm creates rrds matching the configuration given in CUFlow.cf. It (by default) creates a 'total.rrd' file,
representing the total in and out-bound traffic it receives. It also creates 2 rrd files for every Service
directive in CUFlow.cf, service_servicename_src.rrd and service_servicename_dst.rrd.

It makes some assumptions about the nature of the flows exported to it: basically that they are either inbound
to your network or outbount from it. It is designed to be run on a border router, and is not written to handle
traffic exported to it about flows that source and end in your network, or outside it. It should be used
to monitor the traffic being sent out by networks contained in Subnet statements.


%prep
%setup -n %{pkgname}-%{version}
%patch0
%patch1
%patch2

%build
pod2man CUFlow.pm CUFlow.3pm

%install
%__install -d %{buildroot}%{_sysconfdir}/flowscan
%__install -d %{buildroot}/srv/www/cflow/reports
%__install -d %{buildroot}/srv/www/cflow/reports/scoreboard
%__install -D -m 444 CUFlow.pm %{buildroot}%{perl_vendorlib}/CUFlow.pm 
%__install -m 644 CUFlow.cf %{buildroot}%{_sysconfdir}/flowscan/
%__install -D -m 755 CUGrapher.pl %{buildroot}/srv/www/cgi-bin/CUGrapher.pl

%__install -D -m 644 CUFlow.3pm %{buildroot}%{_mandir}/man3/CUFlow.3pm
gzip -9 %{buildroot}%{_mandir}/man3/CUFlow.3pm
 
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_mandir}/man3/CUFlow.3pm*
%{perl_vendorlib}/CUFlow.pm
%config(noreplace) %{_sysconfdir}/flowscan/CUFlow.cf
%dir /srv/www/cflow
%dir /srv/www/cflow/reports
%dir /srv/www/cflow/reports/scoreboard
/srv/www/cgi-bin/CUGrapher.pl

%changelog
* Sun Jan 10 2010 Carsten Schoene <cs@linux-administrator.com> - 1.7-1
- initial package
